Index: COPYRIGHT
===================================================================
--- COPYRIGHT	(revision 0)
+++ COPYRIGHT	(revision 12)
@@ -0,0 +1,36 @@
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+!  Routines minv.f90, Step_DIIS.f90 (and variations), Space.f90 
+!  (and variations) were adapted from the public domain mopac6 diis.f 
+!  source file (c) 2009, Stewart Computational Chemistry.
+!  <http://www.openmopac.net/Downloads/Downloads.html>
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
Index: examples/Vasp/Parallel/run_Path_PBS
===================================================================
--- examples/Vasp/Parallel/run_Path_PBS	(revision 11)
+++ examples/Vasp/Parallel/run_Path_PBS	(revision 12)
@@ -26,7 +26,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Carte/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 # Where is VASP ?
 #
Index: examples/Vasp/Parallel/run_Path_SGE_scratch
===================================================================
--- examples/Vasp/Parallel/run_Path_SGE_scratch	(revision 11)
+++ examples/Vasp/Parallel/run_Path_SGE_scratch	(revision 12)
@@ -38,7 +38,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 # Where is VASP ?
 #
@@ -285,4 +285,4 @@
  ssh $server rm -rf ${SCRATCHDIR}
 done
 
-rm -rf ${SCRATCHDIR}
\ No newline at end of file
+rm -rf ${SCRATCHDIR}
Index: examples/Vasp/Parallel/run_Path_SGE_home
===================================================================
--- examples/Vasp/Parallel/run_Path_SGE_home	(revision 11)
+++ examples/Vasp/Parallel/run_Path_SGE_home	(revision 12)
@@ -40,7 +40,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 # Where is VASP ?
 #
Index: examples/Vasp/Serial/run_Path
===================================================================
--- examples/Vasp/Serial/run_Path	(revision 11)
+++ examples/Vasp/Serial/run_Path	(revision 12)
@@ -23,7 +23,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Carte/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 # Where is VASP ?
 #
Index: examples/Vasp/Serial/run_Path_PBS
===================================================================
--- examples/Vasp/Serial/run_Path_PBS	(revision 11)
+++ examples/Vasp/Serial/run_Path_PBS	(revision 12)
@@ -23,7 +23,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Carte/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 # Where is VASP ?
 #
Index: examples/Vasp/Serial/run_Path_SGE_scratch
===================================================================
--- examples/Vasp/Serial/run_Path_SGE_scratch	(revision 11)
+++ examples/Vasp/Serial/run_Path_SGE_scratch	(revision 12)
@@ -39,7 +39,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 # Where is VASP ?
 #
Index: examples/Vasp/Serial/run_Path_SGE_home
===================================================================
--- examples/Vasp/Serial/run_Path_SGE_home	(revision 11)
+++ examples/Vasp/Serial/run_Path_SGE_home	(revision 12)
@@ -27,7 +27,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 # Where is VASP ?
 #
Index: examples/Gaussian/HCN_zmat/run_Path
===================================================================
--- examples/Gaussian/HCN_zmat/run_Path	(revision 11)
+++ examples/Gaussian/HCN_zmat/run_Path	(revision 12)
@@ -12,11 +12,11 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=../../../src/Path.exe
 #
 ### Gaussian Stuff
 # Change the path for g09root !!!
-export g09root=/home/pfleura2/G09
+export g09root=/home/pfleura2/Programs/G09
 export  GAUSS_SCRDIR=/tmp
 source $g09root/g09/bsd/g09.profile
 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/intel/lib/
@@ -40,7 +40,7 @@
 ###############################
 ln -fs ${PathExe} .
 
-./Path.exe ${Job}.path &> ${Job}.out
+./Path.exe ${Job}.path > ${Job}.out 2> ${Job}.err
 
 
 
Index: examples/Gaussian/HCN_zmat/run_Path_PBS
===================================================================
--- examples/Gaussian/HCN_zmat/run_Path_PBS	(revision 11)
+++ examples/Gaussian/HCN_zmat/run_Path_PBS	(revision 12)
@@ -21,7 +21,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Carte/src/Path.exe
+PathExe=~/Programs/optnpath/src/Path.exe
 #
 ### Gaussian Stuff
 # Change the path for g09root !!!
Index: examples/Gaussian/HCN_zmat/HCN_Gaussian.path
===================================================================
--- examples/Gaussian/HCN_zmat/HCN_Gaussian.path	(revision 11)
+++ examples/Gaussian/HCN_zmat/HCN_Gaussian.path	(revision 12)
@@ -10,7 +10,7 @@
   FFrozen=F,  ! Some atoms  are frozen. See FrozenList.
   PathOnly=.F.,  ! do NOT stop after generating the first path
   AutoCart=F, ! Determine automatically atom described in cartesian.
-  HesUpd="MS", ! Use Murtagh-Sargent update for the Hessian matrix
+  HUpdate="MS", ! Use Murtagh-Sargent update for the Hessian matrix
   PathName="Test_Gaussian",  ! Geometries along the path store in 'Test_Gaussian.XXX'
   prog="gaussian",  ! Use Gaussian to get E and forces.
   ProgExe="g09", ! Use g09 for Gaussian executable
Index: examples/Gaussian/SN2_mixed/SN2_mixed.path
===================================================================
--- examples/Gaussian/SN2_mixed/SN2_mixed.path	(revision 11)
+++ examples/Gaussian/SN2_mixed/SN2_mixed.path	(revision 12)
@@ -10,7 +10,7 @@
   FFrozen=F,  ! Some atoms  are frozen. See FrozenList.
   PathOnly=.F.,  ! do NOT stop after generating the first path
   AutoCart=T, ! Determine automatically atom described in cartesian.
-  HesUpd="MS", ! Use Murtagh-Sargent update for the Hessian matrix
+  HUpdate="MS", ! Use Murtagh-Sargent update for the Hessian matrix
   PathName="Test_Gaussian",  ! Geometries along the path store in 'Test_Gaussian.XXX'
   prog="gaussian",  ! Use Gaussian to get E and forces.
   ProgExe="g09", ! Use g09 for Gaussian executable
Index: examples/Gaussian/SN2_mixed/run_Path
===================================================================
--- examples/Gaussian/SN2_mixed/run_Path	(revision 11)
+++ examples/Gaussian/SN2_mixed/run_Path	(revision 12)
@@ -12,11 +12,11 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=../../../src/Path.exe
 #
 ### Gaussian Stuff
 # Change the path for g09root !!!
-export g09root=/home/pfleura2/G09
+export g09root=/home/pfleura2/Programs/G09
 export  GAUSS_SCRDIR=/tmp
 source $g09root/g09/bsd/g09.profile
 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/intel/lib/
@@ -40,7 +40,7 @@
 ###############################
 ln -fs ${PathExe} .
 
-./Path.exe ${Job}.path &> ${Job}.out
+./Path.exe ${Job}.path > ${Job}.out 2> ${Job}.err
 
 
 
Index: examples/Gaussian/SN2_cart/SN2_cart.path
===================================================================
--- examples/Gaussian/SN2_cart/SN2_cart.path	(revision 11)
+++ examples/Gaussian/SN2_cart/SN2_cart.path	(revision 12)
@@ -10,7 +10,7 @@
   FFrozen=F,  ! Some atoms  are frozen. See FrozenList.
   PathOnly=.F.,  ! do NOT stop after generating the first path
   AutoCart=T, ! Determine automatically atom described in cartesian.
-  HesUpd="MS", ! Use Murtagh-Sargent update for the Hessian matrix
+  HUpdate="MS", ! Use Murtagh-Sargent update for the Hessian matrix
   PathName="Test_Gaussian",  ! Geometries along the path store in 'Test_Gaussian.XXX'
   prog="gaussian",  ! Use Gaussian to get E and forces.
   ProgExe="g09", ! Use g09 for Gaussian executable
Index: examples/Gaussian/SN2_cart/run_Path
===================================================================
--- examples/Gaussian/SN2_cart/run_Path	(revision 11)
+++ examples/Gaussian/SN2_cart/run_Path	(revision 12)
@@ -12,11 +12,11 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=../../../src/Path.exe
 #
 ### Gaussian Stuff
 # Change the path for g09root !!!
-export g09root=/home/pfleura2/G09
+export g09root=/home/pfleura2/Programs/G09
 export  GAUSS_SCRDIR=/tmp
 source $g09root/g09/bsd/g09.profile
 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/intel/lib/
Index: examples/Gaussian/SN2_zmat/run_Path
===================================================================
--- examples/Gaussian/SN2_zmat/run_Path	(revision 11)
+++ examples/Gaussian/SN2_zmat/run_Path	(revision 12)
@@ -12,11 +12,11 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=../../../src/Path.exe
 #
 ### Gaussian Stuff
 # Change the path for g09root !!!
-export g09root=/home/pfleura2/G09
+export g09root=/home/pfleura2/Programs/G09
 export  GAUSS_SCRDIR=/tmp
 source $g09root/g09/bsd/g09.profile
 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/intel/lib/
@@ -40,7 +40,7 @@
 ###############################
 ln -fs ${PathExe} .
 
-./Path.exe ${Job}.path &> ${Job}.out
+./Path.exe ${Job}.path > ${Job}.out 2> ${Job}.err
 
 
 
Index: examples/Mopac/CSMe6_mixed/run_Path
===================================================================
--- examples/Mopac/CSMe6_mixed/run_Path	(revision 11)
+++ examples/Mopac/CSMe6_mixed/run_Path	(revision 12)
@@ -12,7 +12,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=../../../src/Path.exe
 #
 ### MOPAC Stuff
 # In fact, this is useless as they are defined again in the mopac script
@@ -21,9 +21,9 @@
 
 set -x
 ## You might have to change MOPAC_ROOT and/or MOPAC_LICENSE
-export MOPAC_ROOT=~/Programs/MOPAC2009
+export MOPAC_ROOT=~/Programs/MOPAC2012
 export MOPAC_LICENSE=\${MOPAC_ROOT}
-export mopac=\${MOPAC_ROOT}/MOPAC2009.exe
+export mopac=\${MOPAC_ROOT}/MOPAC2012.exe
 
 echo "Running \${mopac} \$1"
 \${mopac} \$1
Index: examples/Mopac/CSMe6_cart/run_Path
===================================================================
--- examples/Mopac/CSMe6_cart/run_Path	(revision 11)
+++ examples/Mopac/CSMe6_cart/run_Path	(revision 12)
@@ -12,7 +12,7 @@
 #
 # Where is Path.exe ??
 #
-PathExe=~/Programs/Chemin/OpenPath/src/Path.exe
+PathExe=~/Programs/Chemin/optnpath/src/Path.exe
 #
 ### MOPAC Stuff
 # In fact, this is useless as they are defined again in the mopac script
@@ -21,9 +21,9 @@
 
 set -x
 ## You might have to change MOPAC_ROOT and/or MOPAC_LICENSE
-export MOPAC_ROOT=~/Programs/MOPAC2009
+export MOPAC_ROOT=~/Programs/MOPAC2012
 export MOPAC_LICENSE=\${MOPAC_ROOT}
-export mopac=\${MOPAC_ROOT}/MOPAC2009.exe
+export mopac=\${MOPAC_ROOT}/MOPAC2012.exe
 
 echo "Running \${mopac} \$1"
 \${mopac} \$1
Index: examples/Test/Dep_tscan_p
===================================================================
--- examples/Test/Dep_tscan_p	(revision 11)
+++ examples/Test/Dep_tscan_p	(revision 12)
@@ -12,8 +12,8 @@
 
 WDir=`dirname $0`
 
-
 NomGplot=${Nom}_p.gplot
+
 if [ ! -s list ]; then
  echo "File list is missing"
  exit
@@ -31,12 +31,11 @@
 awk -f $WDir/Dep_tgt.awk $Fout 
 cat <<EOF > $NomGplot
 #!/usr/bin/gnuplot -persist
- set term x11
  set pointsize 2
  set origin 0.,0.
  set size square 1
 EOF
-let ItM=ItMax-1
+let ItM=ItMax-2
 for i in `seq 0 $ItM`
   do
  xyz2scan ${Nom}${Ext}.${i} > /dev/null
@@ -89,7 +88,7 @@
  fi
  echo "pause -1" >> $NomGplot
  done
- let i=ItMax
+ let i=ItMax-1
  xyz2scan ${Nom}${Ext}.${i} > /dev/null
  mv Scan.dat ${Nom}_${i}.dat
  cat <<EOF >>  $NomGplot
Index: examples/Test/Dep_tscan_m
===================================================================
--- examples/Test/Dep_tscan_m	(revision 11)
+++ examples/Test/Dep_tscan_m	(revision 12)
@@ -19,17 +19,42 @@
  echo "File list is missing"
  exit
 fi
+
+if [ -s ${Nom}_cart.0 ]; then
+ Ext=_cart
+elif [ -s ${Nom}.0 ]; then
+ Ext=""
+else
+ echo "Cannot find ${Nom}.0 nor ${Nom}_cart.0 -- ERROR"
+ exit
+fi
+
 awk -f $WDir/Dep_tgt.awk $Fout 
 cat <<EOF > $NomGplot
 #!/usr/bin/gnuplot -persist
  set pointsize 2
  unset key
 EOF
-let ItM=ItMax-2
+
+let ItM=ItMax-1
 for i in `seq 0 $ItM`
   do
- xyz2scan ${Nom}_cart.${i} > /dev/null
+ xyz2scan ${Nom}${Ext}.${i} > /dev/null
  mv Scan.dat ${Nom}_${i}.dat
+
+if [ "$Ext" = "" ]; then
+# We are analysing a calculation done in cartesian. 
+# We have to  analyse the spline file and maybe also the tangent file.
+ if [ -s ${Nom}_spline.${i} ]; then
+   xyz2scan ${Nom}_spline.${i}  > /dev/null
+   mv Scan.dat  ${Nom}_spline_${i}.dat
+ fi
+ if [  -s ${Nom}_dbgtgt.${i} ]; then
+   xyz2scan ${Nom}_dbgtgt.${i}  > /dev/null
+   mv Scan.dat  ${Nom}_dbgtgt_${i}.dat
+ fi
+fi
+  
  cat <<EOF >>  $NomGplot
  set multiplot
  set origin 0.,0.
@@ -40,7 +65,11 @@
  plot "HCN_irc.dat" u 1:3 w l ls 1
 EOF
  if [ "$PES" != "" ]; then
-  echo "replot \"HCN_PES_2D.dat\" u 1:2 t \"\" w l ls 2, \"HCN_PES_2D.dat\" u 1:(-\$2) t \"\"  w l ls 2,\"HCN_PES_2D.dat\" u 1:(360-\$2) t \"\"  w l ls 2" >> $NomGplot
+cat <<EOF  >>  $NomGplot
+replot "HCN_PES_2D.dat" u 1:2 t "" w l ls 2, \
+ "HCN_PES_2D.dat" u 1:(-\$2) t ""  w l ls 2,\
+ "HCN_PES_2D.dat" u 1:(360-\$2) t ""  w l ls 2
+EOF
  fi
  if [ -s ${Nom}_spline.${i} ]; then
  echo "replot \"${Nom}_${i}.dat\" u 1:3 w p ls 5" >> $NomGplot
@@ -59,46 +88,15 @@
 # set size 0.5,1.
  clear
  set yrange $yr
- set xrange [-10:190]
+ set xrange [-5:185]
+ plot "HCN_irc.dat" u 3:4 t "IRC" w l ls 1
 EOF
- echo "plot \"${Nom}_${i}.dat\" u 3:4 t \"E\" w lp ls 1" >> $NomGplot
+ echo "plot \"${Nom}_${i}.dat\" u 3:4 t \"E\" w lp ls 5" >> $NomGplot
  echo "unset multiplot" >> $NomGplot
  echo "pause -1" >> $NomGplot
  done
-let i=ItMax-1
- xyz2scan ${Nom}_cart.${i} > /dev/null
- mv Scan.dat ${Nom}_${i}.dat
- cat <<EOF >>  $NomGplot
- set multiplot
- set origin 0.,0.
-# set size 0.5,1.
- clear
- set xrange [1.:2.5]
- set yrange [-10:190]
- plot "HCN_irc.dat" u 1:3 t "IRC" w l ls 1
-EOF
- if [ "$PES" != "" ]; then
-  echo "replot \"HCN_PES_2D.dat\" u 1:2 t \"\" w l ls 2, \"HCN_PES_2D.dat\" u 1:(-\$2) t \"\" w l ls 2,\"HCN_PES_2D.dat\" u 1:(360-\$2) t \"\" w l ls 2" >> $NomGplot
- fi
- if [ -s ${Nom}_spline.${i} ]; then
- echo "replot \"${Nom}_${i}.dat\" u 1:3 w p ls 5" >> $NomGplot
- echo "replot \"${Nom}_spline.${i}\" u 2:4 w l ls 5" >> $NomGplot
- elif [  -s ${Nom}_dbgtgt_${i}.dat ]; then
- echo "replot \"${Nom}_${i}.dat\" u 1:3 w lp ls 5" >> $NomGplot
- echo "replot \"${Nom}_dbgtgt_${i}.dat\" u 2:(\$4*180./pi) w l ls 4" >> $NomGplot
- else
- echo "replot \"${Nom}_${i}.dat\" u 1:3 w lp ls 5" >> $NomGplot
-fi
- cat <<EOF >>  $NomGplot
- set origin .505,0.
-# set size  0.5,1.
- clear
- set yrange $yr
- set xrange [-10:190]
-EOF
- echo "plot \"${Nom}_${i}.dat\" u 3:4 t \"E\" w lp ls 1" >> $NomGplot
- echo "unset multiplot" >> $NomGplot
- echo "pause -1" >> $NomGplot
 
 chmod u+x ./$NomGplot
 echo "./$NomGplot      to see the path"
+
+
